Loading...
Searching...
No Matches
itk::ImageSample< TImage > Class Template Reference

`#include <itkImageSample.h>`

## Detailed Description

template<class TImage>
class itk::ImageSample< TImage >

A class that defines an image sample, which is the coordinates of a point and its value.

Its constructors, assignment operators, and destructor are implicitly defaulted, following the C++ "Rule of Zero".

Definition at line 36 of file itkImageSample.h.

## Public Types

using | ImageType = TImage
using | PointType = typename ImageType::PointType
using | RealType = typename NumericTraits<PixelType>::RealType

## Data Fields

PointType | m_ImageCoordinates
RealType | m_ImageValue

## Friends

bool | operator!= (const ImageSample &lhs, const ImageSample &rhs)
bool | operator== (const ImageSample &lhs, const ImageSample &rhs)

## Member Typedef Documentation

## ImageType

template<class TImage>

using itk::ImageSample< TImage >::ImageType = TImage

Typedef's.

Definition at line 40 of file itkImageSample.h.

## PointType

template<class TImage>

using itk::ImageSample< TImage >::PointType = typename ImageType::PointType

Definition at line 41 of file itkImageSample.h.

## RealType

template<class TImage>

using itk::ImageSample< TImage >::RealType = typename NumericTraits<PixelType>::RealType

Definition at line 43 of file itkImageSample.h.

## Friends And Related Symbol Documentation

## operator!=

template<class TImage>

bool operator!= | ( | const ImageSample< TImage > & | lhs,
|  | const ImageSample< TImage > & | rhs )

friend

Definition at line 56 of file itkImageSample.h.

## operator==

template<class TImage>

bool operator== | ( | const ImageSample< TImage > & | lhs,
|  | const ImageSample< TImage > & | rhs )

friend

Definition at line 50 of file itkImageSample.h.

## Field Documentation

## m_ImageCoordinates

template<class TImage>

PointType itk::ImageSample< TImage >::m_ImageCoordinates

Member variables.

Definition at line 46 of file itkImageSample.h.

## m_ImageValue

template<class TImage>

RealType itk::ImageSample< TImage >::m_ImageValue

Definition at line 47 of file itkImageSample.h.

Generated on 1768596610 for elastix by 1.15.0 |